Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.custom
Interface RemoteCustomFieldManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCustomFieldManager

extends java.rmi.Remote

Manages all custom fields of the server to used RMI.

Since:
  version 9.1

Method Summary
`void` | `createField(java.lang.String name, java.lang.String desc, boolean enabled)` Creates a field.
`void` | `deleteField(java.lang.String name)` Deletes a field according to name.
`void` | `deleteFields(java.util.List names)` Deletes fields according to names.
`java.util.Vector` | `getAllFields()` Gets all custom fields.
`CustomField` | `getField(java.lang.String name)` Gets a specific field.
`void` | `updateField(java.lang.String orgName, java.lang.String newName, java.lang.String desc, boolean enabled)` Updates a field with some new properties.

Method Detail

### getAllFields

    java.util.Vector getAllFields()
                                  throws java.rmi.RemoteException

  Gets all custom fields.

  Returns:
    all custom fields. The Vector contains CustomField objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `CustomField`

### getField

    CustomField getField(java.lang.String name)
                         throws java.rmi.RemoteException

  Gets a specific field.

  Returns:
    a specific field according to name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `CustomField`

### createField

    void createField(java.lang.String name,
                     java.lang.String desc,
                     boolean enabled)
                     throws java.rmi.RemoteException,
                            CustomFieldManageException

  Creates a field.

  Parameters:
    `name` - the field name.
    `desc` - the field description.
    `enabled` - whether the field is enabled.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteField

    void deleteField(java.lang.String name)
                     throws java.rmi.RemoteException,
                            CustomFieldManageException

  Deletes a field according to name.

  Parameters:
    `name` - the field name.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteFields

    void deleteFields(java.util.List names)
                      throws java.rmi.RemoteException,
                             CustomFieldManageException

  Deletes fields according to names.

  Parameters:
    `names` - the field name list.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateField

    void updateField(java.lang.String orgName,
                     java.lang.String newName,
                     java.lang.String desc,
                     boolean enabled)
                     throws java.rmi.RemoteException,
                            CustomFieldManageException

  Updates a field with some new properties.

  Parameters:
    `orgName` - the field original name.
    `newName` - the field new name.
    `desc` - the field new description.
    `enabled` - whether the field is enabled after updating.
  Throws:
    `CustomFieldManageException` - if a CustomFieldManageException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD